org.apache.ignite.internal.processors.cache.distributed.near

## Interface NearTxFinishFuture

All Superinterfaces:
  IgniteInternalFuture<IgniteInternalTx>

All Known Implementing Classes:
  GridNearTxFastFinishFuture, GridNearTxFinishFuture

    public interface NearTxFinishFuture
    extends IgniteInternalFuture<IgniteInternalTx>

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `commit()`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Method Detail

#### commit

    boolean commit()

Returns:
  Commit flag.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018